<?php

namespace IPS\chatbox\Form;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * Usergroup discount input class for Form Builder
 */
class _AutoMSG extends \IPS\Helpers\Form\FormAbstract
{
	/** 
	 * Get HTML
	 *
	 * @return	string
	 */
	public function html()
	{
		$msg = new \IPS\Helpers\Form\TextArea( $this->name . '[msg]', $this->value['msg'] ? $this->value['msg'] : NULL, TRUE );		

		$time = new \IPS\Helpers\Form\Number( $this->name . '[time]', $this->value['time'] ? $this->value['time'] : 10, TRUE, array( 'min' => 10 ) );	

		return \IPS\Theme::i()->getTemplate( 'forms' )->autoMSG( $this, $msg, $time );
	}
}